Subject: [os2genau_digest] No. 1670
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 11 Jul 2008 00:00:30 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Thursday 10 July 2008
 Number  1670
**************************************************

Subjects for today
 
1  Re:  IDE Raid : Chris Neeson" <neeson.cj.oz at gmail dot com>
2  Re:  IDE Raid : Ed Durrant <edurrant at durrant dot mine dot nu>

**= Email   1 ==========================**

Date:  Thu, 10 Jul 2008 13:15:37 +1000
From:  "Chris Neeson" <neeson.cj.oz at gmail dot com>
Subject:  Re:  IDE Raid

thanks for that, Ed.

the adapter I saw was a simplistic Adaptec
IDE ATA ( naturally, at a swap meet ).

My possibly naive assumption is that if the
main drive stops working, so would OS/2,
prompting a 'switch' to the mirror drive
( 'switch' being in quotes because that
  would be a physical changeover )
- that kind of monitoring being extremely
  basic analogue & empirical!

The only gain there is that I wouldn't
have to spend time on an install/rebuild
& restore
- but that would be a significant gain
  and saveing of time.

It sounds like it might be 'worth' trying
in presumed moment of spare time
( though I'll check the current cards
  before going ahead ).

Regards
Chris

On 7/9/08, Ed Durrant <edurrant at durrant dot mine dot nu> wrote:
> Hi Chris,
>
>  This is something I wanted to test, but haven't got around to yet.
>
>  The most common onboard or simple PCI card SataRaid controllers appear to
> be supported by the Dani drivers in non-raid mode.
>
>  If you have one (as I do) that is set up via a key combination at system
> BIOS startup (or via CMOS), in theory you should be able to have two
> identical drives mirror themselves without the need for an OS based program.
>  However - how do you know when a drive has failed and how do you tell the
> controller that it needs to rebuild the replacement drive after you fit it.,
> if you don't have monitoring software? One add-in card I have, has Java
> based monitoring software, but whether this can gain access to the
> controller from OS/2 as apposed to Windows, I do not know.
>
> I would presume (and could easily be wrong) that the drives need to be in
> SATA mode rather than EIDE Compatible mode for this semi-hardware raid to
> work. I say semi-hardware as these solutions still use the main processor,
> so if your OS hangs the processor, I expect the RAIS array is impacted.
>
>  If you are talking about the Adaptec or similar SATA Raid controllers with
> their own processors these are a far better solution, but you will face the
> same problem with monitoring / management software at the OS level. They
> have stopped supplying OS/2 programs several versions ago.
>
>  It may also be worth noting that (if I am not mistaken) that OS/2 has for a
> long time come with a form of software raid (mirroring)  of any form or
> mixture of forms of HD, through the FFST component of the OS. Most people
> would not have used this as it drains CPU power, however with the powerful
> processors we have now-a-days it may well be worth a look again !
>
> Cheers/2
>
> Ed.
>
> Chris Neeson wrote:
>
> >
> > Hi guys.
> >
> > I'm wondering how OS/2 goes
> > with IDE/ATA Raid adapters/chips.
> >
> > I'm hoping that the firmware takes
> > care of simplistic mirroring, for eg,
> > and OS/2 simply trundles along.
> >
> > But, is that the case?
> >
> > ( it would increase the 'reliability'
> >  of the old home PC if I could
> >  do that ).
> >
> >
> > Regards
> > Chris Neeson
> >

> >  
> 
> >
> >
> >
>

> 

>
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Thu, 10 Jul 2008 19:29:33 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  IDE Raid

Chris Neeson wrote:
> thanks for that, Ed.
>
> the adapter I saw was a simplistic Adaptec
> IDE ATA ( naturally, at a swap meet ).
>   
  Well that's not a bad thing - what is the model number ??
> My possibly naive assumption is that if the
> main drive stops working, so would OS/2,
> prompting a 'switch' to the mirror drive
> ( 'switch' being in quotes because that
>   would be a physical changeover )
> - that kind of monitoring being extremely
>   basic analogue & empirical!
>
>   
   With a mirrored drive, it's no so much a switch to another drive as a 
stopping of writing to one of the two drives. They are normally written 
and read in parrallel. But should one fail - you need to know about it 
to be able to fix it.

> The only gain there is that I wouldn't
> have to spend time on an install/rebuild
> & restore
> - but that would be a significant gain
>   and saveing of time.
>
>   
   Another use of Mirrored RAID is when you are planning a major 
software upgrade that could go wrong. You disconnect one drive as this 
is an image backup of the other drive. Perform the upgrade, if all is 
OK, you can then reconnect the second drive and tell it to synchronise. 
If the update fails, disconnect that drive reconnect the other drive and 
boot up - your system is back as it was, then reconnect the "faulty 
image" drive and synchronise from  the good drive.

   Of course to do this other than from BIOS or bootable CD, you would 
need utilities that run under  OS/2.
> It sounds like it might be 'worth' trying
> in presumed moment of spare time
> ( though I'll check the current cards
>   before going ahead ).
>
>   
   Make sure you have a good backup before trying.
> Regards
> Chris
>
>   
Cheers/2

Ed.
----------------------------------------------------------------------------------